CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CheckboxFormField Class Reference

Generator for checkbox input fields. More...

Inheritance diagram for CheckboxFormField:
[legend]
Collaboration diagram for CheckboxFormField:
[legend]

## Public Member Functions
| __construct ($Name, $Label)
| Object constructor. More...
| PrintField ($DisplayErrorIndicator=FALSE)
| Generate HTML for the int field and label. More...
| PrintInput ($DisplayErrorIndicator=FALSE)
| Generate HTML just for the input field. More...
Public Member Functions inherited from FormField
| __construct ($Name, $IsRequired, $Label, $ValidFunc, $ValidMsgs)
| Object Constructor. More...
| Name ($NewVal=NULL)
| Get or set the name. More...
| IsRequired ($NewVal=NULL)
| Get/set IsRequired. More...
| Label ($NewVal=NULL)
| Get or set the form field label as shown to the user. More...
| Value ($NewVal=NULL)
| Get or set the form field value. More...
| IsPassword ()
| Determine if this form field is a password form field. More...
| PrintField ($DisplayErrorIndicator=FALSE)
| Print the form field label and generate input tags for this form field. More...
| PrintLabel ($DisplayErrorIndicator=FALSE)
| Print the label for this form field without generating the input tags. More...
| IsInvalidValue ($Value)
| Check the validity of the form field's value. More...
| GetInvalidValueMessage ($ErrorCode)
| Map an error code from IsInvalidValue to an error message. More...

## Additional Inherited Members
Protected Attributes inherited from FormField
| $MyName
| $MyIsRequired
| $MyLabel
| $MyValue
| $MyValidFunc
| $MyValidMsgs

## Detailed Description

Generator for checkbox input fields.

Definition at line 14 of file CheckboxFormField.php.

## Constructor & Destructor Documentation

CheckboxFormField::__construct | ( |  | $Name,
|  |  | $Label
| ) |  |

Object constructor.

Parameters

  string | $Name | Internal name of the checkbox field, used as the id= in HTML
  string | $Label | Display name of the checkbox field, showed to the user

Definition at line 24 of file CheckboxFormField.php.

## Member Function Documentation

CheckboxFormField::PrintField | ( |  | $DisplayErrorIndicator = `FALSE` | ) |

Generate HTML for the int field and label.

Parameters

  bool | $DisplayErrorIndicator | Setting TRUE will generate html error indicators. (OPTIONAL)

Definition at line 34 of file CheckboxFormField.php.

References PrintInput(), and FormField\PrintLabel().

CheckboxFormField::PrintInput | ( |  | $DisplayErrorIndicator = `FALSE` | ) |

Generate HTML just for the input field.

Parameters

  bool | $DisplayErrorIndicator | Setting TRUE will generate html error indicators (OPTIONAL)

Definition at line 45 of file CheckboxFormField.php.

Referenced by PrintField().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- objects/CheckboxFormField.php